Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class SDO

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO

All Implemented Interfaces:
  Item

Direct Known Subclasses:
  AppData, ESDO, InboxAgent, MessageAgent, ResponseError, ResponseException

public abstract class SDO
extends Object
implements Item

This is the base class for all Qhome messages in Qare and also has a method which expresses the data into XML. SDO stands for "Self Describing Objects"

Constructor Summary
`SDO()`

Method Summary
`void` | `createInboxMsg(DBSession.Row qSession, String description)` Adds this object to the inbox
`DBInbox.Row` | `createInboxMsg(String description, Map properties, DBSystem.Row remoteSystem, String gkey)`
`abstract void` | `eval(Map properties, List args, ClassLoader cl)` This method is overidden by classes which support message display in inbox.
`String` | `exceptionTraceString(Exception e)` Invoked when an exception is raised while processing the message.
`abstract String` | `getAction()` This method is overidden by classes to specify the action defined by this message.
`abstract QSchemaFactory` | `getFactory()` This method is overidden by classes which use the process/reply logic.
`String` | `getFactoryClassName()` Retrives the schema class
`QDoc` | `getQDoc()` Returns a new document object containing this object as content.
`QDoc` | `getSchema()` Returns the schema object which knows how to navigate the tree
`String` | `toXML()` Expresses this object into an XML String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDO

    public SDO()

Method Detail

### getFactory

    public abstract QSchemaFactory getFactory()

  This method is overidden by classes which use the process/reply logic.

### getAction

    public abstract String getAction()

  This method is overidden by classes to specify the action defined by this message.

### eval

    public abstract void eval(Map properties,
                              List args,
                              ClassLoader cl)
                       throws Exception

  This method is overidden by classes which support message display in inbox.
  Specified by:
    `eval` in interface `Item`

### getFactoryClassName

    public final String getFactoryClassName()

  Retrives the schema class

### getSchema

    public final QDoc getSchema()
                         throws SAXException,
                                QE,
                                QPE,
                                ClassNotFoundException,
                                InstantiationException,
                                IllegalAccessException

  Returns the schema object which knows how to navigate the tree

### getQDoc

    public final QDoc getQDoc()
                       throws SAXException,
                              QE,
                              QPE,
                              ClassNotFoundException,
                              InstantiationException,
                              IllegalAccessException

  Returns a new document object containing this object as content.

### toXML

    public final String toXML()
                       throws SAXException,
                              QE,
                              QPE,
                              ClassNotFoundException,
                              InstantiationException,
                              IllegalAccessException,
                              IOException

  Expresses this object into an XML String
  Returns:
    String containing XML data.

### exceptionTraceString

    public final String exceptionTraceString(Exception e)

  Invoked when an exception is raised while processing the message.
  Returns:
    String contain the details of exception.

### createInboxMsg

    public final void createInboxMsg(DBSession.Row qSession,
                                     String description)
                              throws Exception

  Adds this object to the inbox
  Parameters:
    `qSession` - Reference of the DBSession used during reply message logic.
    `description` - Description of the type of message in inbox

### createInboxMsg

    public final DBInbox.Row createInboxMsg(String description,
                                            Map properties,
                                            DBSystem.Row remoteSystem,
                                            String gkey)
                                     throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD